=== debian/changelog ===
python-mate (1.2.0-3+precise) precise; urgency=low

  * Rebuild for precise. 

 -- Steve Zesch <stevezesch2@gmail.com>  Fri, 30 Mar 2012 21:17:09 -0400

python-mate (1.2.0-2) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Fri, 09 Mar 2012 00:49:00 +0100

python-mate (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 12 Dec 2011 14:39:24 +0100

python-mate (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Switched to autogen.sh.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Thu, 17 Nov 2011 22:27:50 +0100

python-mate (1.0.1-1) unstable; urgency=low

  * Initial release.

 -- Stefano Karapetsas <stefano@karapetsas.com>  Mon, 07 Nov 2011 16:04:17 +0100
