=== debian/control ===
Source: python-mate
Section: python
Priority: optional
Maintainer: Stefano Karapetsas <stefano@karapetsas.com>
Uploaders: Steve Zesch <stevezesch2@gmail.com>
Build-Depends: debhelper (>= 8),
               cdbs,
               python-all-dev,
               python-gobject-dev,
               python-gtk2-dev,
               python-corba,
               libglib2.0-dev,
               libgtk2.0-dev,
               mate-common,
               libmate-dev,
               libmateui-dev,
               libmatecanvas-dev,
               libmatevfs-dev,
               libmateconf-dev,
               libmatecomponent-dev,
               libmatecomponentui-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libavahi-client-dev,
               libavahi-common-dev,
               libavahi-glib-dev,
               libselinux1-dev,
               libgcrypt11-dev, 
               gtk-doc-tools
Standards-Version: 3.9.3
X-Python-Version: >= 2.5
Homepage: http://www.mate-desktop.org/

Package: python-mate
Architecture: any
Depends: ${python:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python-gtk2,
         python-corba,
         python-gobject
Description: Python bindings for the MATE desktop environment
 This archive contains modules that allow you to write Python programs
 using the MATE libraries: MateVFS, libmatecomponent, libmate, libmateui and 
 libmatecanvas.
